// Copyright 2024 XMOS LIMITED.
// This Software is subject to the terms of the XMOS Public Licence: Version 1.

#ifndef _SPDIF_WRAPPER_H_
#define _SPDIF_WRAPPER_H_

#include <stdint.h>
#include <print.h>
#include <platform.h>
#include "asrc_task.h"
#ifndef __XC__
#include "xcore/channel.h"
#endif
#include "spdif.h"

// Wrapper for running the SPDIF Rx IO component
void spdif_rx_task(chanend c_spdif_rx, in port p_spdif_in, clock spdif_rx_clk);

// Wrapper for running the SPDIF Tx IO component
void spdif_tx_task(chanend c_spdif_tx, out buffered port:32 p_spdif_tx, clock clk_spdif_tx, in port p_mclk_in);

// Helper for starting up SPDIF Tx to a specific sample rate. Checks for invalid rate (0)
void spdif_tx_startup(chanend c_spdif_tx, unsigned sample_rate, unsigned master_clock_frequency);


#endif // _SPDIF_WRAPPER_H_
